<bugID>1376351<Summary>FF should after restart load the pages new</Summary><Description>Firefox should after restart (when a session is restored, but there was no crash before [restart of FF]) load the pages in the session new.
Restoring the old pages with old content can confuse the user. See e.g. bug 640762.
At least a key in about:config for it would be nice.</Description></bugID>